Go Back   MacRumors Forums > Apple Systems and Services > Programming > Mac Programming

Reply
 
Thread Tools Search this Thread Display Modes
Old Oct 21, 2006, 09:40 PM   #1
ScKaSx
macrumors regular
 
Join Date: Feb 2006
wxWidgets for Mac

Hi All,

Has anyone tried using wxWidgets (2.6.3) for Mac OSX. I installed the software in accordance to what (www.wxwidget.org) says to do. I have been trying to run the sample programs through Terminal. However when I type 'make' for the samples I get the following error:

(this example for Display.cpp)
ld: can't locate file for: -lwxtiff-2.6
make: *** [display] Error 1

I assume I haven't done the installation correctly or need to install a library or something. Please let me know what's going on if you know.

Thanks,
ScKaSx
ScKaSx is offline   0 Reply With Quote
Old Oct 22, 2006, 03:09 AM   #2
Sayer
macrumors 6502a
 
Sayer's Avatar
 
Join Date: Jan 2002
Location: Austin, TX
I had no problem building it on Mac OS X 10.4.8 (Intel) just now.

What OS X version are you building on and is it completely up to date? Did you download the Mac-specific package and did you not notice any warning/error from ./configure?

Code:
  Which libraries should wxWidgets use?
                                       jpeg               builtin
                                       png                sys
                                       regex              sys
                                       tiff               builtin
                                       zlib               sys
                                       odbc               no
                                       expat              builtin
                                       libmspack          no
                                       sdl                no
                                       gnomeprint         no
                                       hildon             no
__________________
Obama is a true statesman whose experience as a state senator, half-term US Senator & guest lecturer in a Constitutional Law class has fully prepared him to take control of our nuclear arsenal.-Me
Sayer is offline   0 Reply With Quote
Old Oct 22, 2006, 03:04 PM   #3
ScKaSx
Thread Starter
macrumors regular
 
Join Date: Feb 2006
Everything apears up to date

I'm running it on 10.2.9, so still on the PPC. But the site said it wouldn't have a problem with that. I've run fink install update so I'm pretty sure everything in the backend is up to date. when I configured it got to that "which library do you want" stage and then stopped. I wasn't quite sure what it was asking there. Did you choose one of the options? Thanks

Cheers,
ScKaSx
ScKaSx is offline   0 Reply With Quote
Old Oct 24, 2006, 02:16 AM   #4
Sayer
macrumors 6502a
 
Sayer's Avatar
 
Join Date: Jan 2002
Location: Austin, TX
The configure program is showing you which kinds of libraries for the various graphics and other file formats it will use.

Code:
builtin - native support in the OS or software you are building
sys - installed discrete library typ. libpng, libtiff, libjpeg etc.
no - not available
Usually all you have to do to get a UNIX software distro up and running is:

Code:
./configure
make
sudo make install
However there may be dependencies on other software packages that are not part of your OS that you need to supplement to get the software to build from source. Usually libpng, libjpeg, libtiff are what come up all-too-often.

So you may need to do a "make clean" and then re-run ./configure and check the last bit to see what libraries you are missing, and go and get them, and build them first and then build wxWidgets.
__________________
Obama is a true statesman whose experience as a state senator, half-term US Senator & guest lecturer in a Constitutional Law class has fully prepared him to take control of our nuclear arsenal.-Me
Sayer is offline   0 Reply With Quote

Reply
MacRumors Forums > Apple Systems and Services > Programming > Mac Programming

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Similar Threads
thread Thread Starter Forum Replies Last Post
Mac 7950 on the ground, EFI works in 1,1 Mac Pro but drivers don't MacVidCards Mac Pro 127 Jun 27, 2014 10:25 PM
mac to windows and ten years later back to Mac, need some alternative app suggestions debudebu Mac Applications and Mac App Store 1 Apr 5, 2014 03:53 PM
Migration assistant (Mac - Mac). New mac has mutiple drives, can't pick the right one Daftones MacBook Pro 4 Aug 29, 2013 10:32 AM
Linux and mac shared Data partition. (paragon extFS-mac, ntfs-mac, ntfs-3G ?) HiDeHo OS X 10.8 Mountain Lion 15 Jul 17, 2013 06:09 PM
For Lion Server: 2011 Mac mini, 2006/8 Mac Pro, or Hackintosh? Yebubbleman Mac mini 0 Mar 15, 2013 01:14 AM

Forum Jump

All times are GMT -5. The time now is 05:46 AM.

Mac Rumors | Mac | iPhone | iPhone Game Reviews | iPhone Apps

Mobile Version | Fixed | Fluid | Fluid HD
Copyright 2002-2013, MacRumors.com, LLC